<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>
    <script>
        var  num=Math.floor(Math.random()*100+1);
        do{
            var guess=parseInt(prompt("下面进行猜数游戏\n请输入1-100之间的整数：",""));
            if(guess>num){
                alert("你猜的数大了!");
                go_on=confirm("是否继续游戏?");
            }else if(guess<num){
                alert("你猜的数小了！");
                go_on=confirm("是否继续游戏？");
            }else {
                alert("恭喜你猜对了，幸运数字是"+num);
                break;
            }
        }while (go_on){
            alert("谢谢参与！");
        }
    </script>
</body>
</html>